
################################################################################
namespace eval std {
################################################################################

proc words_to_list {string} {
    set list [list]
    foreach elem [split $string] {
        if {$elem != ""} {
            lappend list $elem
        }
    }
    return $list
}

    # Remove newlines etc. from list.
    #
proc cleanup_list {list} {
    set result [list]
    foreach elem $list {
        lappend result $elem
    }
    return $result
}

proc make_list_unique {list} {
    catch {unset table}
    foreach elem $list {
        set table($elem) 1
    }
    return [array names table]
}

proc lremove {list index} {
    set list1 [lrange $list 0 [expr $index-1]
    set list2 [lrange $list [expr $index+1] end]
    return [concat $list1 $list2]
}


################################################################################
}
################################################################################

