/* rcsid = "$Id: dmdef.h,v 3.10 2007/03/10 15:59:18 simon Exp $" */
/**********************************************************

Name/Version      : The Design Data Management Project

Language          : C
Operating system  : UNIX / LINUX

Author(s)         : S. de Graaf
                    A. van der Hoeven
                    T.G.R. van Leuken
                    N. van der Meijs
		    T. Vogel
		    P. van der Wolf
Creation date     : 04-Dec-1986
Modified by       : S. de Graaf
Modification date : 09-Mar-2007 (3.10)

        Delft University of Technology
        Department of Electrical Engineering
        Network Theory Section
        Mekelweg 4 - P.O.Box 5031
        2600 GA DELFT
        The Netherlands

        COPYRIGHT (C) 1985-2007, All rights reserved
**********************************************************/

/*
    CACD-RELEASE-ALLOWED
*/

#ifndef __DMDEF_H
#define __DMDEF_H

/* a large value for MAXLINE. It is mostly used for pathnames
 * (but not always) and there is no checking for overflow
 * of arrays constructed using MAXLINE.
 */
#define 	MAXLINE		1024

#define	Abs(a)		((a) < 0 ? -(a) : (a))
#define Min(a,b)	((a) < (b) ? (a) : (b))
#define	Max(a,b)	((a) > (b) ? (a) : (b))
#define Round(x)	(((x) > 0) ? ((x)+0.5) : ((x)-0.5))

#endif /* __DMDEF_H */

