/* rcsid = "$Id: dmproc.h,v 4.3 2007/03/10 15:59:50 simon Exp $" */
/**********************************************************

Name/Version      : The Design Data Management Project

Language          : C/C++

Author(s)         : K.J. van der Kolk
Creation date     : 22-Jul-2003
Modified by       : S. de Graaf
Modification date : 09-Mar-2007 (4.3)

        Delft University of Technology
        Department of Electrical Engineering
        Network Theory Section
        Mekelweg 4 - P.O.Box 5031
        2600 GA DELFT
        The Netherlands

        COPYRIGHT (C) 1985-2007, All rights reserved
**********************************************************/

/*
    CACD-RELEASE-ALLOWED
*/

#ifndef __SRC_LIBDDM_DMPROC_H__
#define __SRC_LIBDDM_DMPROC_H__

#include "src/generic/libs/libstd/defs.h"

#ifdef __cplusplus
#include "src/generic/libs/libstd/STDException.h"
#endif

#ifdef __cplusplus
namespace libddm {
#endif

STD_EXTERN_C const char* dmTranslateProcessId(const char* name);

#ifdef __cplusplus
/* end of namespace */ };
#endif

#endif /* __SRC_LIBDDM_DMPROC_H__ */

