/* rcsid = "$Id: dmstd.h,v 3.13 2016/05/20 09:48:12 simon Exp $" */
/**********************************************************

Name/Version      : The Design Data Management Project

Language          : C
Operating system  : UNIX / LINUX

Author(s)         : S. de Graaf
                    A. van der Hoeven
                    T.G.R. van Leuken
                    N. van der Meijs
		    T. Vogel
		    P. van der Wolf
Creation date     : 04-Dec-1986
Modified by       : S. de Graaf
Modification date : 21-Jan-1988
Modification date : 05-Nov-2004
Modification date : 23-Oct-2015 (3.13 added _FILE_OFFSET_BITS)

        Delft University of Technology
        Department of Electrical Engineering
        Network Theory Section
        Mekelweg 4 - P.O.Box 5031
        2600 GA DELFT
        The Netherlands

        COPYRIGHT (C) 1985-2016, All rights reserved
**********************************************************/

/*
    CACD-RELEASE-ALLOWED
*/

#ifndef __DMSTD_H
#define __DMSTD_H

#ifndef _FILE_OFFSET_BITS
#define _FILE_OFFSET_BITS 64
#endif

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <ctype.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "src/libddm/dmdef.h"
#include "src/libddm/dmdebug.h"
#include "src/libddm/dmincl.h"

#include <string.h>

#endif /* __DMSTD_H */

