# rcsid = "$Id: annoclean.tcl,v 1.1 2008/01/29 08:43:18 simon Exp $"

if {[llength $argv] != 1} {
    puts stderr "\nUsage: annoclean <cell>\n"
    puts stderr "Description:"
    puts stderr "    Annoclean removes back annotated information from a layout cell.\n"
    exit 1
}

set cell [lindex $argv 0]

if ![file isdirectory layout/$cell] {
    puts stderr "annoclean: '$cell' is not a layout cell"
    exit 1
}
file delete layout/$cell/annotations
file delete layout/$cell/torname
